package com.foreverwin.mesnac.dataimport.util;

import com.alibaba.fastjson.JSON;

/** 程式返回结果类
 * @category 程式返回结果类
 * @author Andy
 *
 */
public class APResult {
	
	private Integer code;
	private String msg;
	private Object data;
	
	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		msg = msg;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		data = data;
	}

	
	public APResult()
	{
		
	}
	
	/** 程式返回结果
	 * @category 程式返回结果
	 * @param code 程式执行结果 (成功：OK  失败：NG)
	 * @param message 传给前端的提醒信息
	 * @param obj  具体的数据对象 (无对象：null)
	 * @return
	 */
	public String getResult(Integer code, String message, Object obj)
	{
		this.code=code;
		this.msg=message;
		this.data=obj;

		return JSON.toJSONString(this);
	}

}
